Skip to content

Disclaimers

All operations require authentication.

5 operationsv1/email/exchange
Agent setup

Get the disclaimerProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer

Get the disclaimer. Returns the content of the disclaimer added to the emails of the domain, and whether it applies to external emails only.

Path parameters

domainName
required
string

Domain name

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200disclaimersuccessful operation
content
string

Signature, added at the bottom of your organization emails

creationDate
read-only
stringdate-time

Creation date

name
read-only
string

Disclaimer name

outsideOnly
boolean

Activate the disclaimer only for external emails

taskPendingId
read-only
integer

task pending id

Example uses domainName = string, exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "content": "string", "creationDate": "2024-01-01T12:00:00Z", "name": "string", "outsideOnly": true, "taskPendingId": 0}

Create a disclaimerProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer

Create a disclaimer. Adds a disclaimer at the bottom of the emails of the domain, and returns the task. Set outsideOnly to add it to external emails only. Insert Active Directory attributes in content as %%AttributeName%%.

Path parameters

domainName
required
string

Domain name

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

content
required
string

Signature, added at the bottom of your organization emails

outsideOnly
boolean

Activate the disclaimer only for external emails

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses domainName = string, exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete the disclaimerProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer

Delete the disclaimer. Removes the disclaimer of the domain, so that it is no longer added to the emails sent from it, and returns the task.

Path parameters

domainName
required
string

Domain name

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses domainName = string, exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update the disclaimerProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer

Update the disclaimer. Updates the content of the disclaimer and outsideOnly, which limits it to external emails. Insert Active Directory attributes in content as %%AttributeName%%.

Path parameters

domainName
required
string

Domain name

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

content
string

Signature, added at the bottom of your organization emails

creationDate
read-only
stringdate-time

Creation date

name
read-only
string

Disclaimer name

outsideOnly
boolean

Activate the disclaimer only for external emails

taskPendingId
read-only
integer

task pending id

Response

200—successful operation

Example uses domainName = string, exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimer \
  -H "authorization: Bearer $OVH_TOKEN"

List disclaimer attributesProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimerAttribute

List disclaimer attributes. Returns the Active Directory attributes that can be substituted in the content of a disclaimer, as %%AttributeName%%.

Path parameters

domainName
required
string

Domain name

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Response

200DisclaimerAttributeEnum[]successful operation

Example uses domainName = string, exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/domain/{domainName}/disclaimerAttribute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "City"]